javax.servlet

## Interface FilterRegistration.Dynamic

- All Superinterfaces:
    FilterRegistration, Registration, Registration.Dynamic
  Enclosing interface:
    FilterRegistration

      public static interface FilterRegistration.Dynamic
      extends FilterRegistration, Registration.Dynamic

  Interface through which a Filter registered via one of the addFilter methods on ServletContext may be further configured.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.servlet.FilterRegistration

      `FilterRegistration.Dynamic`

  - ### Method Summary

    - ### Methods inherited from interface javax.servlet.FilterRegistration

      `addMappingForServletNames, addMappingForUrlPatterns, getServletNameMappings, getUrlPatternMappings`

    - ### Methods inherited from interface javax.servlet.Registration.Dynamic

      `setAsyncSupported`

    - ### Methods inherited from interface javax.servlet.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.